DS_LIST_INSERT(3)

FUNCTION
ds_list_insert - Insert an entry into the fragmented section of a linked list.

SYNOPSIS
#include <karma_ds.h>

void ds_list_insert

(list_header *list_head, list_entry *new_entry, list_entry *entry)

DESCRIPTION
Insert an entry into the fragmented section of a linked list.

list_head
    The list header.

new_entry
    The entry to be inserted.

entry
    The list entry which is to be moved beyond the new entry. If this is NULL, the new entry is inserted at the start of the fragmented section of the list.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

NOTE
Inserting an entry into a list with no entries in the fragmented section is safe (however, in this case <<entry>> must be NULL).

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/